igeo

## Class IPiecewisePolynomialFunction

- java.lang.Object
- - igeo.IPiecewiseFunction
  - - igeo.IPiecewisePolynomialFunction

- All Implemented Interfaces:
    IFunction
  Direct Known Subclasses:
    IBSplineBasisFunction.IBSplineBasisSubFunction

      public class IPiecewisePolynomialFunction
      extends IPiecewiseFunction

  Implementation of piecewise function out of multiple IPolynominalFunction
  Author:
    Satoru Sugihara

- - ### Field Summary

    - ### Fields inherited from class igeo.IPiecewiseFunction

      `domains, functions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPiecewisePolynomialFunction()`
    `IPiecewisePolynomialFunction(double[] dom)`
    `IPiecewisePolynomialFunction(IPiecewisePolynomialFunction p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(IPiecewisePolynomialFunction p)`
    `void` | `add(IPolynomialFunction p)`
    `void` | `differentiate()`
    `IPiecewisePolynomialFunction` | `dup()`
    `void` | `init(IPiecewisePolynomialFunction p)`
    `void` | `mul(double a)`
    `void` | `mul(IPolynomialFunction p)`
    `void` | `setFunction(int idx, IPiecewisePolynomialFunction f)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class igeo.IPiecewiseFunction

      `eval, getIndexOfDomain, getIndexOfDomain, getNumberOfDomains, init, init, init, init, lowerBoundOfDomain, setDomain, setFunction, upperBoundOfDomain`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IPiecewisePolynomialFunction

          public IPiecewisePolynomialFunction(double[] dom)

    - #### IPiecewisePolynomialFunction

          public IPiecewisePolynomialFunction()

    - #### IPiecewisePolynomialFunction

          public IPiecewisePolynomialFunction(IPiecewisePolynomialFunction p)

  - ### Method Detail

    - #### dup

          public IPiecewisePolynomialFunction dup()

      Specified by:
        `dup` in interface `IFunction`
      Overrides:
        `dup` in class `IPiecewiseFunction`

    - #### init

          public void init(IPiecewisePolynomialFunction p)

    - #### setFunction

          public void setFunction(int idx,
                                  IPiecewisePolynomialFunction f)

    - #### mul

          public void mul(double a)

    - #### mul

          public void mul(IPolynomialFunction p)

    - #### differentiate

          public void differentiate()

    - #### add

          public void add(IPolynomialFunction p)

    - #### add

          public void add(IPiecewisePolynomialFunction p)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`